std::pmr::get_default_resource(3)

NAME
std::pmr::get_default_resource - std::pmr::get_default_resource

Synopsis
   Defined in header <memory_resource>
   std::pmr::memory_resource* get_default_resource() noexcept; (since C++17)
   Gets the default memory resource pointer.
   The default memory resource pointer is used by certain facilities when an explicit
   memory resource is not supplied. The initial default memory resource pointer is the
   return value of std::pmr::new_delete_resource.
   This function is thread-safe. Previous call to std::pmr::set_default_resource
   synchronizes with (see std::memory_order) the subsequent
   std::pmr::get_default_resource calls.

Return value
   Returns the value of the default memory resource pointer.

See also
   set_default_resource sets the default std::pmr::memory_resource
   (C++17) (function)
                        returns a static program-wide std::pmr::memory_resource that
   new_delete_resource uses the global operator new and operator delete to allocate
   (C++17) and deallocate memory
                        (function)